messages.checkUrlAuthMatchCode
Validate the match code selected by the user against the code shown on the login page, as part of the OAuth authorization flow ». Only usable when both match_codes and match_codes_first are set in the RawUrlAuthResultRequest returned by messages.RawRequestUrlAuthRequest. If true is returned, proceed with the login flow and pass the verified code to messages.RawAcceptUrlAuthRequest.match_code.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Validate the match code selected by the user against the code shown on the login page, as part of the OAuth authorization flow ». Only usable when both match_codes and match_codes_first are set in the RawUrlAuthResultRequest returned by messages.RawRequestUrlAuthRequest. If true is returned, proceed with the login flow and pass the verified code to messages.RawAcceptUrlAuthRequest.match_code.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.checkUrlAuthMatchCode" \ -H "Content-Type: application/json" \ -d '{ "params": { "url": "string", "matchCode": "string" } }'{ "result": true}checkQuickReplyShortcut
Before offering the user the choice to add a message to a [quick reply shortcut](https://core.telegram.org/api/business#quick-reply-shortcuts), to make sure that none of the limits specified [here »](https://core.telegram.org/api/business#quick-reply-shortcuts) were reached.
clearAllDrafts
Clear all [drafts](https://core.telegram.org/api/drafts).